syntax = "proto2";
//
// Messages
//
// Defines the message structures used within the gazetk protocol
//

import "basic_types.proto";
import "gaze2d_data.proto";
import "gaze3d_data.proto";
import "eye_data.proto";

message Message {
	required gazetk.protocol.types.Timestamp timestamp = 1; 	// Time of the creation of the message
	required string uuid = 2; 																// A unique ID to identify the message
	required string sender_uuid = 3;													// The unique ID identifying the sender
	required string addressee_uuid = 4; 											// The unique ID of the addressee
	oneof content {
	  gazetk.protocol.EyeSample eyesample                       = 10;
		gazetk.protocol.Gaze2DSample gaze2dsample                 = 12;
		gazetk.protocol.Gaze2DFixation gaze2dfixation             = 13;
	}
}

